getSharedInteraction {SLGI} | R Documentation

## Calculate the number of shared synthetic genetic interactions between pairs of genes.

### Description

The number of common synthetic genetic interacting partners between two genes.

### Usage

    getSharedInteraction(iMat, mode="query")

### Arguments

`iMat` | Adjacency matrix reporting genetic Interactions. Each entry has value 0 or 1, representing positive or negative interaction of corresponding pairs of row and column, respectively.
`mode` | Character vector of value "query" or "target"

### Value

A numeric vector of the number of common genetic interactions between a pair of query or target genes.

### Author(s)

N. LeMeur

### See Also

`congruence`

### Examples

    intM <- matrix(c(0,1,0,0,1,1,1,0,1,0,0,1,1,0,1,0),
                    nrow=4, ncol=4,
                    dimnames=list(c("p1","p2","p3","p4"),
                      c("p1","p3","p5","p7")))

    sharedInt <- getSharedInteraction(intM)

[Package SLGI version 1.4.0 Index]